/*
 * mainM3.h
 *
 *  Created on: Sep 8, 2016
 *      Author: alberts
 */



/////////////////////////////////////////////////////////////////////////

#ifndef CONCERTO_M3_MAIN_H_
#define CONCERTO_M3_MAIN_H_

#include "types.h"

#include "inc/hw_sysctl.h"
#include "inc/hw_ints.h"
#include "inc/hw_memmap.h"
#include "inc/hw_nvic.h"
#include "inc/hw_types.h"
#include "inc/hw_gpio.h"
#include "inc/hw_ssi.h"
#include "inc/hw_ram.h"
#include "inc/hw_adc.h"

#include "driverlib/ipc.h"
#include "driverlib/sysctl.h"
#include "driverlib/interrupt.h"
#include "driverlib/debug.h"
#include "driverlib/cpu.c"
#include "driverlib/gpio.h"
#include "driverlib/flash.h"
#include "driverlib/uart.h"
#include "driverlib/ssi.h"
#include "driverlib/timer.h"
#include "driverlib/ram.h"
#include "utils/uartstdio.h"
#include "utils/crc.h"

//choose the correct hardware pinout
//#include "board_drivers/set_pinout_f28m36x.h"
#include "set_pinout.h"
// ======================================================================================
// Defines
// ======================================================================================


#endif /* CONCERTO_M3_MAIN_H_ */
