/*
 * Task_Sheduler.h
 *
 *  Created on: Apr 6, 2017
 *      Author: alberts
 */

#ifndef TASK_SHEDULER_H_
#define TASK_SHEDULER_H_

// State Machine function prototypes
//====================================================
// Task states
void ATaskState(void);	//state A0
void BTaskState(void);	//state B0
void CTaskState(void);	//state C0

// A branch states
void ATasks(void);	//state A1

// B branch states
void BTasks(void);	//state B1

// C branch states
void CTasks(void);	//state C1


// Variable declarations
void (*State_Ptr)(void);	// Base States pointer

typedef struct TIMER_FLAGS
{
	tBoolean Timer0;
	tBoolean Timer1;
	tBoolean Timer2;
	tBoolean Timer3;

}TIMER_FLAGS;
TIMER_FLAGS TimerFlags;


#endif /* TASK_SHEDULER_H_ */
