//###########################################################################
// FILE:   set_pinout_RogueLIte.h
// TITLE:  GPIO setup for the F28M35x RogueLite motor control card.
//###########################################################################
// $TI Release: F28M36x Support Library v207 $
// $Release Date: Mon Sep 21 16:44:39 CDT 2015 $
// $Copyright: Copyright (C) 2012-2015 Texas Instruments Incorporated -
//             http://www.ti.com/ ALL RIGHTS RESERVED $
//###########################################################################

#ifndef __SET_PINOUT_H__
#define __SET_PINOUT_H__

//*****************************************************************************
// GPIO for the user LEDs
//*****************************************************************************
//#define LED_0_PERIPH       SYSCTL_PERIPH_GPIOC
//#define LED_0_BASE         GPIO_PORTC_BASE
//#define LED_0_PIN          GPIO_PIN_0

//alias LED_M3_RUN
#define LED_1_PERIPH       SYSCTL_PERIPH_GPIOC
#define LED_1_BASE         GPIO_PORTC_BASE
#define LED_1_PIN          GPIO_PIN_1



//*****************************************************************************
// GPIO for UART direction
//*****************************************************************************
#define UART0_485_DIR_PERIPH       SYSCTL_PERIPH_GPIOP
#define UART0_485_DIR_BASE         GPIO_PORTP_BASE
#define UART0_485_DIR_PIN          GPIO_PIN_0



//*****************************************************************************
//
// Public function prototypes.
//
//*****************************************************************************
extern void PinoutSet(void);
extern void PinCoreSelect(void);
static void PortControlSet(void);


#endif // __SET_PINOUT_H__
